if not SFA_Presets
	rawset(_G, "SFA_Presets", {})
end

SFA_Presets["ssj"] = {
	name = "Super Saiyan",
	sfaura_color = "player",
	sfaura_sprite = "ssj",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssj",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssj2"] = {
	name = "Super Saiyan 2",
	sfaura_color = "player",
	sfaura_sprite = "ssj2",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssj2",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssg"] = {
	name = "Super Saiyan God",
	sfaura_sprite = "ssg",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssg",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssb"] = {
	name = "Super Saiyan Blue",
	sfaura_sprite = "ssb",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssb",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssbk"] = {
	name = "Super Saiyan Blue Kaioken",
	sfaura_color2 = "red",
	sfaura_sprite = "ssb",
	sfaura_sprite2 = "ssjf",
	sfaura_opacity = 10,
	sfaura_opacity2 = 5,
	sfaura_soundscheme = "ssbk",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_xscale2 = "1.4",
	sfaura_yscale2 = "1.4",
	sfaura_blendmode = "normal",
	sfaura_blendmode2 = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssbbc"] = {
	name = "Super Saiyan Blue (Berserk Controlled)",
	sfaura_sprite = "ssbbc",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssb",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssbe"] = {
	name = "Super Saiyan Blue Evolution",
	sfaura_sprite = "ssbe",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssb",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssrage"] = {
	name = "Super Saiyan Rage",
	sfaura_sprite = "ssrage",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssb",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ssr"] = {
	name = "Super Saiyan Rose",
	sfaura_sprite = "ssr",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssr",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ui"] = {
	name = "Ultra Instinct",
	sfaura_sprite = "ui",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ui",
	sfaura_xscale = "0.75",
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "on",
	sfaura_outlinecolor = "white",
	sfaura_outlineblend = "add"
}
SFA_Presets["mui"] = {
	name = "Mastered Ultra Instinct",
	sfaura_sprite = "mui",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ui",
	sfaura_xscale = "0.75",
	sfaura_yscale = 1,
	sfaura_blendmode = "normal",
	sfaura_outline = "on",
	sfaura_outlinecolor = "white",
	sfaura_outlineblend = "add"
}
SFA_Presets["btss"] = {
	name = "Berserker True Super Sonic (SQFP)",
	sfaura_sprite = "ssj",
	sfaura_sprite2 = "btss",
	sfaura_opacity = 0,
	sfaura_opacity2 = 6,
	sfaura_soundscheme = "ssj2",
	sfaura_xscale2 = 1,
	sfaura_yscale2 = 1,
	sfaura_blendmode2 = "normal",
	sfaura_outline = "off"
}
SFA_Presets["sths"] = {
	name = "Semi-True Hyper Sonic (SQFP)",
	sfaura_sprite = "ssj",
	sfaura_sprite2 = "sths",
	sfaura_opacity = 0,
	sfaura_opacity2 = 6,
	sfaura_soundscheme = "ssj2",
	sfaura_xscale2 = 1,
	sfaura_yscale2 = 1,
	sfaura_blendmode2 = "normal",
	sfaura_outline = "off"
}
SFA_Presets["ths"] = {
	name = "True Hyper Sonic (SQFP)",
	sfaura_sprite = "ssj",
	sfaura_sprite2 = "ths",
	sfaura_opacity = 0,
	sfaura_opacity2 = 6,
	sfaura_soundscheme = "ssj2",
	sfaura_xscale2 = 1,
	sfaura_yscale2 = 1,
	sfaura_blendmode2 = "normal",
	sfaura_outline = "off"
}
SFA_Presets["fpths"] = {
	name = "Full Power True Hyper Sonic (SQFP)",
	sfaura_sprite = "fpths",
	sfaura_sprite2 = "ssj",
	sfaura_opacity = 10,
	sfaura_opacity2 = 0,
	sfaura_soundscheme = "ssj2",
	sfaura_xscale = 1,
	sfaura_yscale = 1,
	sfaura_draworder = "behind",
	sfaura_blendmode = "normal",
	sfaura_outline = "off"
}
SFA_Presets["kk"] = {
	name = "Add Kaioken",
	sfaura_color2 = "red",
	sfaura_sprite2 = "ssjf",
	sfaura_opacity2 = 5,
	sfaura_soundscheme = "ssbk",
	sfaura_xscale2 = "1.4",
	sfaura_yscale2 = "1.4",
	sfaura_blendmode2 = "normal",
}